{% extends 'site_base.html' %}
{% load static %}
{% load crispy_forms_tags %}
{% load humanize %}

{% block extra_style_block %}
    {{block.super}}

    <style>
        .btn-payment {
            float: right;
            color: #fff;
        }
        .txt-search {
            width: auto;
            display: initial !important;
        }
        .btn-search {
            display: initial !important;
            padding: 6.2px 12px;
            margin: 0 2px 0 -4px;
            background: #3d8dbc;
            border: 1px solid #09649a;
        }
        .fa-search {
            color: #fff;
        }
        .bgc {
            background: rgba(0,0,0,.075);
        }
        .sku {
            cursor: pointer;
        }
        .even {background: rgba(0,0,0,.075);}
        .odd {background: rgba(0,0,0,.075);}
    </style>

    <style>
        .txt-search {
            width: auto;
            display: initial !important;
        }
        .btn-search {
            display: initial !important;
            padding: 6.2px 12px;
            margin: 0 2px 0 -4px;
            background: #3d8dbc;
            border: 1px solid #09649a;
        }
        .fa-search {
            color: #fff;
        }

        .col-cust-add{
          float: left;
          padding-left: 15px;
          float: left;
          padding-left: 15px;
          font-size: 16px;
          font-weight: 600;
          color: #333;
          line-height: 1.45;
        }
        .col-cust-add h2{
          text-transform: capitalize;
          font-size: 24px;
          margin: 0 0 0px 0;
          font-weight: 600;
          line-height: 1.2;
        }
        .col-cust-add.col-business-add{
          padding: 15px 15px;
          word-spacing: 0px;
          background: #dddddd82;
          box-shadow: 0px 0px 5px #f5e1e1;
          float: right;
          border-radius: 4px;
          margin: 0 2% 0;
        }
        .col-cust-add.col-business-add span{
          padding: 5px 8px;
          display: inline-block;
          background-color: #f39c12;
          border-color: #e08e0b;
          border-radius: 4px;
          margin-bottom: 5px;
          color:#fff;
        }
        .btn-export {
            float: right;
            background-color: #424242;
            border: 0;
            border-radius: 4px;
            display: inline-block !important;
        }
        .btn-export:hover {
            background-color: #313131;
        }
    </style>
{% endblock %}

{% block content %}
    <form class="from-horizontal">
        <span id="btn-back" class="glyphicon glyphicon-circle-arrow-left"></span>
        <h1 style="margin-top: -5px" class="back-list">Minimum Stock</h1>
        <!-- <section class="content-header col-content">
            <form class="search-form" action="" method="get">
                <div class="row">
                    <div class="col-xs-6 col-sm-6 col-md-6 col-customer">
                        <div class="row" style="margin: 0;">
                            <div class="search-container">
                                From: <input class="form-control txt-search" value="{{from_date}}"
                                       type="date" placeholder="Search..." name="from_date">
                                To: <input class="form-control txt-search" value="{{to_date}}"
                                       type="date" placeholder="Search..." name="to_date">
                                <button class="btn-search" type="submit">
                                    <i class="fa fa-search"></i>
                                </button>
                            </div>
                        </div>
                    </div>
                    <div class="col-xs-6 col-sm-6 col-md-6">
                        <div class="row" style="margin: 0;">
                            <div class="search-container text-right">
                                <button type="submit" name="export" class="export btn-export">Export</button>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </section> -->

        <section>
            <table class="table table table-bordered alternate_color">
                <thead>
                    <tr>
                        <td colspan="7">
                            <button type="submit" name="export" class="export btn-export">
                                Export
                            </button>
                        </td>
                    </tr>
                </thead>
                <thead>
                    <tr>
                        <th>Category</th>
                        <th>SKU Code</th>
                        <th>Available Stock</th>
                        <th>Blocked</th>
                        <th>Remaining Stock</th>
                        <th>Min Stock</th>
                        <th>Required</th>
                    </tr>
                </thead>
                <tbody id="dataTable">
                {% if products|length > 0 %}
                    {% for product in products %}
                    <tr>
                        <td>{{product.category|default:"---"}}</td>
                        <td>{{product.sku_code|default:"---"}}</td>
                        <td>{{product.available|stringformat:"d"|default:"---"}}</td>
                        <td>{{product.blocked|stringformat:"d"}}</td>
                         {% if product.remaining > 0 %}
                        <td>{{product.remaining|stringformat:"d"}}</td>
                        {% else %}
                        <td>0</td>
                        {% endif %}
                        <td>
                            <span class="label label-{{product.class}}">
                                {{product.minimum}}
                            </span>
                        </td>
                        <td>{{product.required|stringformat:"d"}}</td>
                    </tr>
                    {% endfor %}
                {% else %}
                    <tr>
                        <td colspan="7" style="text-align:center;">Data not available</td>
                    </tr>
                {% endif %}
                </tbody>
            </table>

            <div class="row" style="margin: 0;">
                {% if products.has_other_pages %}
                    <ul class="pagination col-pagination pg-blue pull-right">
                        {% if products.has_previous %}
                            <li class="page-item">
                                <a class="page-number" href="?page={{ products.previous_page_number }}"
                                   aria-label="Previous">&laquo;</a>
                            </li>
                        {% else %}
                            <li class="page-item disabled">
                                <a class="page-link" href=""><span>&laquo;</span></a>
                            </li>
                        {% endif %}

                        {% for i in products.paginator.page_range %}
                            {% if products.number == i %}
                                <li class="page-item active">
                                    <a class="page-link" href="#">{{ i }}</a>
                                </li>
                            {% else %}
                                <li class="page-item">
                                    <a class="page-link" href="?page={{ i }}">{{ i }}</a>
                                </li>
                            {% endif %}
                        {% endfor %}

                        {% if products.has_next %}
                            <li class="page-item">
                                <a class="page-number" href="?page={{ products.next_page_number }}">&raquo;</a>
                            </li>
                        {% endif %}
                    </ul>
                {% endif %}
            </div>
        </section>
    </form>
{% endblock %}

{% block extra_script_block %}
    {{ block.super }}

    <script type="text/javascript">
        $(document).ready(function() {
            $('.content-header').first().remove();
            // $("html, body").animate({ scrollTop: $(document).height() }, 500);
        });
    </script>
{% endblock %}
